Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr.inline
Interface InlineLevelEventProducer

All Superinterfaces:
  EventProducer

    public interface InlineLevelEventProducer

extends EventProducer

Event producer interface for inline-level layout managers.

Nested Class Summary
`static class` | `InlineLevelEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `leaderWithoutContent(java.lang.Object source, org.xml.sax.Locator loc)` fo:leader with "use-content" but without children.
`void` | `lineOverflows(java.lang.Object source, int line, int overflowLength, org.xml.sax.Locator loc)` A line overflows.

Method Detail

### leaderWithoutContent

    void leaderWithoutContent(java.lang.Object source,
                              org.xml.sax.Locator loc)

  fo:leader with "use-content" but without children.

  Parameters:
    `source` - the event source
    `loc` - the location of the error or null
  Event severity level:
    ERROR

### lineOverflows

    void lineOverflows(java.lang.Object source,
                       int line,
                       int overflowLength,
                       org.xml.sax.Locator loc)

  A line overflows.

  Parameters:
    `source` - the event source
    `line` - the number number
    `overflowLength` - the length by which the content overflows the available space (in mpt)
    `loc` - the location of the error or null
  Event severity level:
    WARN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.